Enterprise Nucleus docker compose running problem

I follow this link to set up Enterprise Nucleus. After running
sudo docker-compose --env-file /opt/ove/base_stack/nucleus-stack.env -f /opt/ove/base_stack/nucleus-stack-no-ssl.yml up, it kept showing the errors:

nucleus-tagging_1           | [2022-01-06 08:02:34,060][OT] INFO: connection lost
nucleus-search_1            | 2022-01-06 08:02:35,853 | Traceback (most recent call last):
nucleus-search_1            |   File "/omni/_build/idl.py/idl/connection/transport/omni.py", line 110, in prepare
nucleus-search_1            |     self.ws = await websockets.connect(self.url, max_size=self.max_size, compression=None, ssl=self.ssl_context, ping_interval=self.ping_interval)
nucleus-search_1            |   File "/root/.local/lib/python3.8/site-packages/websockets/client.py", line 537, in __await_impl__
nucleus-search_1            |     transport, protocol = await self._create_connection()
nucleus-search_1            |   File "/usr/lib/python3.8/asyncio/base_events.py", line 1017, in create_connection
nucleus-search_1            |     raise exceptions[0]
nucleus-search_1            |   File "/usr/lib/python3.8/asyncio/base_events.py", line 1002, in create_connection
nucleus-search_1            |     sock = await self._connect_sock(
nucleus-search_1            |   File "/usr/lib/python3.8/asyncio/base_events.py", line 916, in _connect_sock
nucleus-search_1            |     await self.sock_connect(sock, address)
nucleus-search_1            |   File "/usr/lib/python3.8/asyncio/selector_events.py", line 485, in sock_connect
nucleus-search_1            |     return await fut
nucleus-search_1            |   File "/usr/lib/python3.8/asyncio/selector_events.py", line 517, in _sock_connect_cb
nucleus-search_1            |     raise OSError(err, f'Connect call failed {address}')
nucleus-search_1            | OSError: [Errno 113] Connect call failed ('10.31.234.125', 3009)
nucleus-search_1            | 
nucleus-search_1            | During handling of the above exception, another exception occurred:
nucleus-search_1            | 
nucleus-search_1            | Traceback (most recent call last):
nucleus-search_1            |   File "/omni/_build/omniverse_discovery_py/omni/discovery/__init__.py", line 174, in find
nucleus-search_1            |     await transport.prepare()
nucleus-search_1            |   File "/omni/_build/idl.py/idl/connection/transport/omni.py", line 114, in prepare
nucleus-search_1            |     raise TransportError(str(err))
nucleus-search_1            | idl.connection.transport.TransportError: [Errno 113] Connect call failed ('10.31.234.125', 3009)
nucleus-search_1            | 
nucleus-search_1            | The above exception was the direct cause of the following exception:
nucleus-search_1            | 
nucleus-search_1            | Traceback (most recent call last):
nucleus-search_1            |   File "/omni/search/__init__.py", line 186, in _listen
nucleus-search_1            |     connection: Connection = await discovery.find(Connection, {"deployment": config.deployments_lookup})
nucleus-search_1            |   File "/omni/_build/omniverse_discovery_py/omni/discovery/__init__.py", line 184, in find
nucleus-search_1            |     raise ConnectionError(msg) from exc
nucleus-search_1            | ConnectionError: An error has occurred when tried to establish a connection to Connection.
nucleus-search_1            | Info: 
nucleus-search_1            |   Discovery URI: ws://nucleus-discovery:3333
nucleus-search_1            |   Interface: Connection
nucleus-search_1            |   Meta: {'deployment': 'internal'}

Furthermore, I can’t access Web UI through my.ip:8080. I thought that Nucleus didn’t run sucessfully.
Did I missing any steps?

I solved this problem after reboot

1 Like